cURL
curl --request POST \
--url https://api.crunchz.app/api/groups/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Group Name",
"participants": [
{
"id": "xxx@s.whatsapp.net"
}
],
"tag_ids": [
"tag-uuid-1",
"tag-uuid-2"
]
}
'import requests
url = "https://api.crunchz.app/api/groups/create"
payload = {
"name": "Group Name",
"participants": [{ "id": "xxx@s.whatsapp.net" }],
"tag_ids": ["tag-uuid-1", "tag-uuid-2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Group Name',
participants: [{id: 'xxx@s.whatsapp.net'}],
tag_ids: ['tag-uuid-1', 'tag-uuid-2']
})
};
fetch('https://api.crunchz.app/api/groups/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"restricted": true,
"created_at": "<string>",
"is_community": true,
"actions": {
"join_approval": true,
"can_add_member": true
},
"participant_count": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Group
Create Group
Create a new WhatsApp group programmatically by specifying the group name and initial participants.
POST
/
groups
/
create
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The Group Name
Required string length:
1 - 25Pattern:
^[\s\S]*[^\s][\s\S]*$Example:
"Group Name"
Maximum array length:
256Show child attributes
Show child attributes
The Auto-Responder Tag IDs
Maximum array length:
10The Auto-Responder Tag ID
Required string length:
1 - 50Pattern:
^[a-zA-Z0-9\-_]+$Example:
["tag-uuid-1", "tag-uuid-2"]
Was this page helpful?
⌘I